Description

History

#1 - 11/11/2024 03:32 PM - Junaid M
- Subject changed from Against Refund option in Sale to Against Refund Tab in Sale

#2 - 11/11/2024 03:43 PM - Junaid M

Requirement:
A party has few refunded tickets and party wish to invoice few new tickets aswell. we can do this by create a separate refund and invoice.
In this way there is one problem. print is separate so we cant give party an information about refund and sale in a print.

Proposed Solution:

--> In Sale main tab area add new tab "Against Refund".

--> Add Search filter --> From/To Period, Party, Doc No - search

--> Add a grid to load all tickets of the party. (Ticket might be refunded(has posting), cancelled (no posting. So, create a refund doc in next server
save trip))

--> At the time of new sale save internal perform match

*Note: This solution is only for print purpose. Need to create refund document separately
Db Level:- Add new table "tbl_against_refund". Fields: pk, document_id, supp_doc_no_id
#3 - 11/26/2024 06:20 PM - Arathy PS

- File clipboard-202411261818-mpe1e.jpg added
- File clipboard-202411261819-ig5vp.jpg added

SALE GUI CHANGES

1. Add 'Refund' Tab in Sale before 'AR Sharing'.
2. In the grid add 'add' button, 'search' button.
3. Grid columns: #, Refund No:, cancel date, type, Ticket/voucher no:, Service provider, Refund amount, Receiv
able, profit, edit icon, delete icon, redirect to refund GUI icon.
should show
—-——— Non refunded (cancel) + sold items only.
———- Refund No: is empty at first.
4. AD button (allow current sale items also)

Left side Right side
Ticket/voucher No* (R), cancel date * (R) Status:
Supplier refund charge Invoice no: & date:
Refund charge party:
Supplier Receivable: 0.00 cost:0.00
Customer Payable: 0.00 price:0.00

close & add button.
!lclipboard-202411261818-mpele. jpg!
5. Search pop up

Refer Ticket/voucher search

Grid table: #,|_|, Refund no:, cancel date, Ticket/voucher, pax name,

status
!clipboard-202411261819-ig5vp. jpg!

=>Sales Change

—-> Refund Section Add in Sales Print
- Less Refund
— Each Ticket/Voucher wise — Amount -ve

->Sale Save
— Not Refunded Ticket Move to refund GUI
- After Set Refund No

#4 - 12/11/2024 02:42 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

Price,

invoice no:, party,

Files

clipboard-202411261818-mpe1e.jpg 104 KB 11/26/2024 Arathy PS

clipboard-202411261819-ig5vp.jpg 117 KB 11/26/2024 Arathy PS
